package com.cool.store.mapper;

import com.cool.store.dto.pre.fry.PreFryStageImagesDTO;
import com.cool.store.entity.PreFryStageChangesDO;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

public interface PreFryStageChangesMapper extends Mapper<PreFryStageChangesDO> {


    int batchInsert(List<PreFryStageChangesDO> records);

    List<PreFryStageImagesDTO> selectByRecordId(@Param("recordId") Long recordId);

    List<PreFryStageImagesDTO> selectByRecordIdList(@Param("recordIdList") List<Long> recordIdList);

}